/**
 * @license
 * Copyright Mauricio Gemelli Vigolo. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/mauriciovigolo/file-matcher/LICENSE
 */
/**
 * @description
 * List of available file attribute types, that will be used to determine the
 * filtering execution flow.
 */
export declare enum AttributeType {
    /**
     * File size in bytes.
     */
    Size = 0,
    /**
     * File birth time.
     */
    BirthDate = 1,
    /**
     * File change time
     */
    ModifiedDate = 2,
}
