/**
 * @license
 * Copyright Mauricio Gemelli Vigolo. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/mauriciovigolo/file-matcher/LICENSE
 */
"use strict";
/**
 * @description
 * List of available file attribute types, that will be used to determine the
 * filtering execution flow.
 */
var AttributeType;
(function (AttributeType) {
    /**
     * File size in bytes.
     */
    AttributeType[AttributeType["Size"] = 0] = "Size";
    /**
     * File birth time.
     */
    AttributeType[AttributeType["BirthDate"] = 1] = "BirthDate";
    /**
     * File change time
     */
    AttributeType[AttributeType["ModifiedDate"] = 2] = "ModifiedDate";
})(AttributeType = exports.AttributeType || (exports.AttributeType = {}));
//# sourceMappingURL=attributetype.js.map